# Create a Component

**⚠️ Deprecated** — Use `POST /v3.0/components` instead.
Access is restricted to certain T1 user IDs stored in the database, disallowed users will receive a 401 error message.
The ID of the created component will be in the response.

Endpoint: POST /component_creatives/v1.0/components
Version: 3.0

## Header parameters:

  - `adama_session` (string)
    See below

## Request body:

  - `application/json` (unknown)
    {
"component_human_name": "Right Image",
"component_name": "right_image",
"value_type_name": "IMAGE"
}

## Response 401:

  - `401` (unknown)
    For a response, here's how image vs. text varies:
"component_human_name": "Side Text",
"value_type_name": "TEXT",
vs.
"component_human_name": "Right Image",
"value_type_name": "IMAGE",

## Response 201 examples:

  - `response` (unknown)

## Response 401 examples:

  - `response` (unknown)

